Name:           stillcount
Version:        0.1
Release:        3%{?dist}
Summary:        Counter to track weekly users

%global debug_package %{nil}

License:        GPL-3.0-only AND AGPL-3.0-only
URL:            https://gitlab.com/stillhq/stillcount
Source0:        https://gitlab.com/stillhq/stillcount/-/archive/main/%{name}-main.zip

Requires:    bash
Requires:    python3
BuildRequires: systemd-rpm-macros

%package client
Summary:       Client for stillcount
License:       GPL-3.0-or-later

%package server
Summary:       Server for stillcount
License:       AGPL-3.0-or-later

%description
stillCount is a simple counter to track weekly users. It is designed to be easy to use and lightweight, and Linux distro agnostic.

%description client
Pings a server to track weekly user counts. Designed to be as privacy-friendly as possible.

%description server
A server to track weekly user counts. Stores everything as a weekly_counts sqlite database for now.

%prep
%autosetup -n stillcount-main

%build
%install
echo "Installing files..."
# Create destination directories in the build root
install -d %{buildroot}%{_sysconfdir}/stillcount
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_datadir}/%{name}

# Client
install -m 0755 client/client.bash %{buildroot}%{_bindir}/stillcount-ping
install -m 0644 client/count.conf %{buildroot}%{_sysconfdir}/stillcount/count.conf
install -m 0644 client/stillcount.service %{buildroot}%{_unitdir}/stillcount.service
install -m 0644 client/stillcount.timer %{buildroot}%{_unitdir}/stillcount.timer

# Server
install -m 0755 server/__main__.py %{buildroot}%{_bindir}/stillcount-server

%files
%files client
%{_bindir}/stillcount-ping
%{_unitdir}/stillcount.service
%{_unitdir}/stillcount.timer
#config file here doesn't have %config(noreplace) because we want build systems to increment versions seperately
%{_sysconfdir}/stillcount/count.conf
%license client/LICENSE

%files server
%{_bindir}/stillcount-server
%license server/LICENSE

%changelog
* Sun May 04 2025 Cameron <cameron@stillhq.io> - 0.1.0-1
- Initial RPM package
